> ## Documentation Index
> Fetch the complete documentation index at: https://documents.trocco.io/llms.txt
> Use this file to discover all available pages before exploring further.
# ワークフロー一覧取得
> ワークフロー一覧を取得します。
## OpenAPI
````json GET /api/pipeline_definitions
{
"openapi": "3.0.3",
"info": {
"title": "trocco APIリファレンス",
"description": "trocco APIリファレンス",
"version": "0.0.1"
},
"servers": [
{
"url": "https://trocco.io"
}
],
"security": [
{
"ApiKeyAuth": []
}
],
"tags": [
{
"name": "users",
"description": "ユーザー",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-account-user"
}
},
{
"name": "teams",
"description": "チーム",
"externalDocs": {
"url": "https://documents.trocco.io/docs/team"
}
},
{
"name": "connections",
"description": "接続情報",
"externalDocs": {
"url": "https://documents.trocco.io/docs/connection-configurations"
}
},
{
"name": "custom_connectors",
"description": "カスタムコネクタ定義"
},
{
"name": "datamart_definitions",
"description": "データマート定義",
"externalDocs": {
"url": "https://documents.trocco.io/docs/data-mart"
}
},
{
"name": "environment_groups",
"description": "環境グループ"
},
{
"name": "environments",
"description": "環境"
},
{
"name": "jobs",
"description": "転送ジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/etl-configuration"
}
},
{
"name": "pipeline_jobs",
"description": "ワークフロージョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-workflow"
}
},
{
"name": "resource_groups",
"description": "リソースグループ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/resource-group"
}
},
{
"name": "dbt_git_repositories",
"description": "dbt Gitリポジトリ"
},
{
"name": "dbt_job_definitions",
"description": "dbtジョブ設定",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "dbt_jobs",
"description": "dbtジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "notification_destinations",
"description": "通知先",
"externalDocs": {
"url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings"
}
}
],
"externalDocs": {
"description": "trocco APIについて",
"url": "https://documents.trocco.io/docs/trocco-api"
},
"paths": {
"/api/pipeline_definitions": {
"get": {
"summary": "ワークフロー一覧取得",
"description": "ワークフロー一覧を取得します。\n",
"operationId": "getPipelineDefinitions",
"tags": [
"pipeline_definitions"
],
"parameters": [
{
"name": "name",
"description": "ワークフロー名で絞り込みます。部分一致検索が可能です。\n正規表現での検索の場合 `//` で囲んでください。\n",
"in": "query",
"schema": {
"type": "string"
}
},
{
"name": "limit",
"description": "取得するワークフローの最大件数\n",
"in": "query",
"schema": {
"type": "integer",
"format": "int64",
"default": 50,
"maximum": 200
}
},
{
"name": "cursor",
"description": "取得するワークフロー一覧の最初のレコードを示すページネーションカーソル
\nレスポンスに含まれる`next_cursor`をセットすると、後続のワークフロー一覧を取得できます。\n",
"in": "query",
"schema": {
"type": "string"
},
"example": "eyJpZCI6MjF9"
}
],
"responses": {
"200": {
"description": "ワークフロー一覧を返します。\n",
"content": {
"application/json": {
"schema": {
"allOf": [
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"title": "PipelineDefinitionListItem",
"type": "object",
"properties": {
"id": {
"description": "ワークフローID",
"type": "integer",
"format": "int64"
},
"name": {
"description": "ワークフロー名",
"type": "string"
},
"description": {
"description": "メモ",
"type": "string",
"nullable": true
},
"created_at": {
"description": "ワークフロー定義の作成日時です。タイムゾーンはJST 日本時間(GMT+9)です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "ワークフロー定義の更新日時です。タイムゾーンはJST 日本時間(GMT+9)です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"resource_group_id": {
"type": "integer",
"format": "int64",
"description": "リソースグループIDです。",
"example": 1,
"nullable": true
},
"created_by": {
"type": "object",
"description": "作成者の情報です。",
"nullable": true,
"properties": {
"id": {
"type": "integer",
"format": "int64",
"description": "ユーザーIDです。",
"example": 1
},
"email": {
"type": "string",
"description": "メールアドレスです。",
"example": "user@example.com"
}
}
},
"labels": {
"description": "ラベル一覧です。",
"type": "array",
"items": {
"title": "Label",
"type": "object",
"properties": {
"id": {
"description": "ラベルIDです",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"description": "ラベル名です。",
"type": "string",
"example": "favorite"
},
"description": {
"description": "メモです。",
"type": "string",
"example": "お気に入り",
"nullable": true
},
"color": {
"description": "ラベルの色です。",
"type": "string",
"example": "#e86115"
},
"created_at": {
"description": "ラベル作成日時です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "ラベルの更新日時です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"name",
"color",
"created_at",
"updated_at"
]
}
},
"schedules": {
"type": "array",
"description": "スケジュール一覧です。",
"items": {
"title": "Schedule",
"type": "object",
"properties": {
"frequency": {
"description": "スケジュールの頻度です。
\nhourly: 毎時
\ndaily: 毎日
\nweekly: 毎週
\nmonthly: 毎月\n",
"type": "string",
"enum": [
"hourly",
"daily",
"weekly",
"monthly"
]
},
"minute": {
"description": "分の値を示します。",
"type": "integer",
"format": "int64"
},
"hour": {
"description": "時間の値を示します。",
"type": "integer",
"format": "int64"
},
"day": {
"description": "日にちの値を示します。",
"type": "integer",
"format": "int64"
},
"day_of_week": {
"description": "曜日の値を示します。",
"type": "integer",
"format": "int64"
},
"time_zone": {
"description": "日時のタイムゾーンです。",
"type": "string",
"example": "Etc/UTC"
}
},
"required": [
"frequency",
"time_zone"
]
}
},
"notifications": {
"type": "array",
"description": "通知一覧です。
\n配列の順序は以下の規則で固定されます。
\n- notification_type の順: job → exec_time
\n- 同一 notification_type 内は destination_type の順: slack → email
\n- 同一 notification_type かつ同一 destination_type 内は id 昇順\n",
"items": {
"title": "PipelineNotification",
"type": "object",
"properties": {
"id": {
"description": "通知設定のIDです。
\nnotification_type の中で一意です。slack と email が同じ親レコードから派生する場合は同じ id を持つため、destination_type を併用して識別してください。\n",
"type": "integer",
"format": "int64",
"readOnly": true
},
"destination_type": {
"description": "通知先です。",
"type": "string",
"enum": [
"slack",
"email",
"http"
]
},
"slack_channel_id": {
"description": "slack channel IDです。
\ndestination_typeがslackのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"email_id": {
"description": "Email IDです。
\ndestination_typeがemailのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"http_notification_destination_id": {
"description": "通知先HTTPのIDです。
\ndestination_typeがhttpのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"notification_type": {
"description": "通知タイプです。
\njob: ジョブ実行(終了/エラー)通知
\nexec_time: 実行時間経過通知\n",
"type": "string",
"enum": [
"job",
"exec_time"
]
},
"notify_when": {
"description": "通知条件です。
\njobタイプのとき必須です。\n",
"type": "string",
"enum": [
"finished",
"failed"
]
},
"message": {
"description": "通知内容です。",
"type": "string"
},
"minutes": {
"description": "実行時間の閾値(分)
\nexec_timeタイプのとき必須です。\n",
"type": "integer",
"format": "int64"
}
},
"required": [
"destination_type",
"notification_type"
]
}
},
"environment": {
"description": "環境",
"nullable": true,
"allOf": [
{
"title": "EnvironmentNested",
"type": "object",
"description": "環境グループ情報をネストした環境オブジェクト(JobDefinition等で使用)",
"properties": {
"id": {
"description": "環境ID",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"description": "環境名",
"type": "string",
"example": "本番環境"
},
"environment_group": {
"description": "環境グループ",
"type": "object",
"properties": {
"id": {
"description": "環境グループID",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"description": "環境グループ名",
"type": "string",
"example": "サンプル環境グループ"
},
"created_at": {
"description": "環境グループの作成日時",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "環境グループの更新日時",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"name",
"created_at",
"updated_at"
]
},
"created_at": {
"description": "環境の作成日時",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "環境の更新日時",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"name",
"environment_group",
"created_at",
"updated_at"
]
}
]
}
},
"required": [
"id",
"name",
"created_at",
"updated_at"
]
}
}
},
"required": [
"items"
]
},
{
"title": "Pagination",
"type": "object",
"properties": {
"next_cursor": {
"description": "後続のページネーションリクエストの取得開始レコードを示すカーソル値です。",
"type": "string"
}
}
}
]
}
}
}
},
"401": {
"description": "認証エラーです。API KEYをご確認ください。\n"
},
"403": {
"description": "権限がありません。\n"
}
}
}
}
},
"components": {
"securitySchemes": {
"ApiKeyAuth": {
"type": "apiKey",
"in": "header",
"name": "Authorization",
"description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n"
}
}
}
}
````